<?php
// $Id: drpager.admin.inc,v 1.6 2009/07/14 07:07:51 mattyoung Exp $
/**
 * @file drpager.admin.inc
 * admin/settings/drpager form constructor
 */




function drpager_settings_form($form_state) {
  init_theme();
  $theme_registry = theme_get_registry();
  if ($form_state['post']['drpager_replace_pager'] !== '1' && !variable_get('drpager_replace_pager', FALSE) && $theme_registry['pager']['function'] != 'theme_drpager' && $theme_registry['pager']['function'] != 'theme_drpagera' && $theme_registry['pager']['function'] != 'theme_pager') {
    drupal_set_message(t('The \'pager\' theme hook is currently overriden with \'%function\' from \'%path\'. Selecting "Override pager with drpager" below will override it.',
             array('%function' => isset($theme_registry['pager']['function']) ? $theme_registry['pager']['function'] .'()' : $theme_registry['pager']['template'] .'.tpl.php',
                   '%path' => $theme_registry['pager']['theme path'])
            ), 'warning');
  }
  
  $form['drpager_replace_pager'] = array(
    '#type' => 'checkbox',
    '#title' => t('Override pager with drpager'),
    '#default_value' => variable_get('drpager_replace_pager', FALSE),
  );
  
  $form['drpager_adaptive_value'] = array(
    '#type' => 'textfield',
    '#title' => t('Adaptive drpagera value'),
    '#description' => t('Switch to drpager only if more than the number of pages specified here. Set to \'0\' to unconditionally use drpager.'),
    '#default_value' => variable_get('drpager_adaptive_value', 0),
    '#size' => 3,
  );
  
  $form = system_settings_form($form);
  $form['#submit'][] = '_drpager_reset';
  return $form;
}



function drpager_settings_form_validate($form, $form_state) {
  $value = $form_state['values']['drpager_adaptive_value'];
  if ($value !== (string)(int)$value || $value < 0) {
    form_error($form['drpager_adaptive_value'], t('Must be an integer >= 0.'));
  }
}